Retrieves the emissions source by ID
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| emissionSourceId | The identifier for the emission source being retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EmissionSourceResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| active | Indicates whether the emission source is active | boolean | ||||||||||||||||||||||||||||||||||||
| address | AddressChild | |||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| collection | CollectionChild | |||||||||||||||||||||||||||||||||||||
|
CollectionChild properties
|
||||||||||||||||||||||||||||||||||||||
| commodity | CommodityChild | |||||||||||||||||||||||||||||||||||||
|
CommodityChild properties
|
||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | |||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the emission source was created | string (date-time) | ||||||||||||||||||||||||||||||||||||
| defaultEmissionFactor | GHGFactorChildV202210 | |||||||||||||||||||||||||||||||||||||
|
GHGFactorChildV202210 properties
|
||||||||||||||||||||||||||||||||||||||
| defaultScopeCategory | GHGScopeCategoryChildV202210 | |||||||||||||||||||||||||||||||||||||
|
GHGScopeCategoryChildV202210 properties
|
||||||||||||||||||||||||||||||||||||||
| emissionSourceCode | The emission source code | string | ||||||||||||||||||||||||||||||||||||
| emissionSourceId | The emission source identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||
| emissionSourceInfo | The emission source info | string | ||||||||||||||||||||||||||||||||||||
| meter | MeterLink | |||||||||||||||||||||||||||||||||||||
|
MeterLink properties
|
||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | |||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification of the emission source | string (date-time) | ||||||||||||||||||||||||||||||||||||
| note | The emission source description | string | ||||||||||||||||||||||||||||||||||||
Example Response
{ "active": false, "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "collection": { "collectionCode": "string", "collectionIcon": { "code": "string", "color": "string"
}, "collectionId": 1, "collectionInfo": "string"
}, "commodity": { "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "defaultEmissionFactor": { "factorDescription": "string", "factorId": 1, "factorInfo": "string"
}, "defaultScopeCategory": { "scopeCategoryDescription": "string", "scopeCategoryId": 1, "scopeCategoryInfo": "string"
}, "emissionSourceCode": "string", "emissionSourceId": 1, "emissionSourceInfo": "string", "meter": { "meterId": 1
}, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "note": "string"
}